cascading.pipe.assembly

## Class AverageBy.AverageFinal.Context

- java.lang.Object
- - cascading.pipe.assembly.AverageBy.AverageFinal.Context

- Enclosing class:
    AverageBy.AverageFinal

      protected static class AverageBy.AverageFinal.Context
      extends Object

  Class Context is used to hold intermediate values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AverageBy.AverageFinal.Context(Fields fieldDeclaration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AverageBy.AverageFinal.Context` | `reset()`
    `Tuple` | `result()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AverageBy.AverageFinal.Context

          public AverageBy.AverageFinal.Context(Fields fieldDeclaration)

  - ### Method Detail

    - #### reset

          public AverageBy.AverageFinal.Context reset()

    - #### result

          public Tuple result()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.